USE @@DATABASE@@;

SET sql_mode = 'ANSI,TRADITIONAL';

CREATE TABLE @@PREFIX@@keys (
  "KID" int(11) NOT NULL AUTO_INCREMENT,
  "key" varchar(255) NOT NULL,
  "name" varchar(255) NOT NULL,
  "default" int(11) NOT NULL,
  PRIMARY KEY ("KID"),
  UNIQUE KEY "key_UNIQUE" ("key")
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE @@PREFIX@@groups (
  "GID" int(11) NOT NULL AUTO_INCREMENT,
  "name" varchar(255) NOT NULL,
  PRIMARY KEY ("GID")
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE @@PREFIX@@users (
  "UID" int(11) NOT NULL AUTO_INCREMENT,
  "name" varchar(255) NOT NULL,
  "GID" int(11) DEFAULT NULL,
  PRIMARY KEY ("UID")
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE @@PREFIX@@groups_permissions (
  "ID" int(11) NOT NULL AUTO_INCREMENT,
  "GID" int(11) NOT NULL,
  "key" varchar(255) NOT NULL,
  "permission" int(11) NOT NULL,
  PRIMARY KEY ("ID"),
  KEY "GID" ("GID"),
  KEY "P_G_KEYS" ("key")
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE @@PREFIX@@user_permissions (
  "ID" int(11) NOT NULL,
  "UID" int(11) NOT NULL,
  "key" varchar(255) NOT NULL,
  "permission" int(11) NOT NULL,
  PRIMARY KEY ("ID"),
  KEY "UID" ("UID"),
  KEY "P_U_Key" ("key")
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


INSERT INTO @@PREFIX@@keys ("key", "name", "default") VALUES ('admin-acl-permission-give', 'Give a user/group permission on an 
item.', 0);
INSERT INTO @@PREFIX@@keys ("key", "name", "default") VALUES ('admin-acl-permission-edit', 'Edit a permission.', 0);
INSERT INTO @@PREFIX@@keys ("key", "name", "default") VALUES ('admin-acl-permission-revert', 'Removes a permission on an item 
(reverts back to the parent''s permission).', 0);
INSERT INTO @@PREFIX@@keys ("key", "name", "default") VALUES ('admin-acl-item-add', 'Add an item to the database.', 0);
INSERT INTO @@PREFIX@@keys ("key", "name", "default") VALUES ('admin-acl-item-edit', 'Edits an item in the database.', 0);
INSERT INTO @@PREFIX@@keys ("key", "name", "default") VALUES ('admin-acl-item-delete', 'Deletes an item in the database', 0);
